var IB=new Object;
var posX=0;posY=0;
var xOffset=10;yOffset=10;


//récupère la position de la souris
function getMousePos(e) {
  if (document.all) {
  posX=event.x+document.body.scrollLeft; //modifs CL 09/2001 - IE : regrouper l'évènement
  posY=event.y+document.body.scrollTop;
  }
  else {
  posX=e.pageX; //modifs CL 09/2001 - NS6 : celui-ci ne supporte pas e.x et e.y
  posY=e.pageY;
  }
}


// Fonction de survol
function rollover(id,src,nom) {
	if(document.getElementById(id).style.backgroundImage!='url(images/fond2.gif)')
	{ document.getElementById(id).style.backgroundImage='url('+src+')';}

	AffBulle(nom);

}

// Fonction de fin de survol
function rollout(id,src) {
	if(document.getElementById(id).style.backgroundImage!='url(images/fond2.gif)')
	{ document.getElementById(id).style.backgroundImage='url('+src+')';}

	HideBulle();

}

// Fonctions de préload
function load() {
	if (document.images) {
		this.length=load.arguments.length;
		for (var i=0;i<this.length;i++) {
			this[i+1]=new Image();
			this[i+1].src=load.arguments[i];
		}
	}
}
// Cette fonction charge dans le cache toutes les images passées en paramètre
function preload() {
	var temp=new load("images/fond3.gif","images/fond1.gif", "images/fond2.gif")
}

var xhr = null;

function getXhr(){
if(window.XMLHttpRequest) // Firefox et autres
	   xhr = new XMLHttpRequest();
	else if(window.ActiveXObject){ // Internet Explorer
	   try {
				xhr = new ActiveXObject("Msxml2.XMLHTTP");
			} catch (e) {
				xhr = new ActiveXObject("Microsoft.XMLHTTP");
			}
	}
	else { // XMLHttpRequest non supporté par le navigateur
	   alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest...");
	   xhr = false;
	}
}

/**
* Méthode qui affiche les infos du mimichant
*/
function info(id,iddiv,src){
	//mise à jour de l'image de l'onglet
	elList = document.getElementsByTagName("DIV");
	
	var temp;
	for (i = 0; i < elList.length; i++)
	{

		if(elList[i].className=="Onglet")
		{
			elList[i].style.backgroundImage='url(images/fond1.gif)';
		}
	}
	if(document.getElementById(iddiv).style.backgroundImage!='url(images/fond2.gif)')
	{ document.getElementById(iddiv).style.backgroundImage='url('+src+')';}

	//affichage des infos du mimichant cliqué
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("info").innerHTML = xhr.responseText;
			document.getElementById("arme").innerHTML = "";
		}
	}
	xhr.open("POST","info.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id="+id);
}

/**
* Méthode qui affiche l'inventaire du mimichant
*/
function inventaire(id){
	//mise à jour de l'image de l'onglet
	elList = document.getElementsByTagName("DIV");
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("info").innerHTML = xhr.responseText;
			document.getElementById("arme").innerHTML = "";
		}
	}
	xhr.open("POST","inventaire.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id="+id);
}

/**
* Méthode qui affiche les infos d'une arme cliquée
*/
function infoArme(id){
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("info").innerHTML = xhr.responseText;
			document.getElementById("arme").innerHTML = "";
		}
	}
	xhr.open("POST","infoArme.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id="+id);

}

/**
* Méthode qui equipe ou des
*/
function modifEquip(idEquip){
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			if(document.getElementById("idImageEquipe").src == 'images/gif/sac.gif')    	document.getElementById("idImageEquipe").src = 'images/gif/sacBarre.gif' ;
			else if (document.getElementById("idImageEquipe").src == 'images/gif/sacBarre.gif') document.getElementById("idImageEquipe").src = 'images/gif/sac.gif' ;
		}
	}
	xhr.open("POST","equipe.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	//xhr.send("idMimi="+idMimi);
	xhr.send("idEquip="+idEquip);
	

}

preload();
